Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler.event
Interface EventListener

All Superinterfaces:
  java.util.EventListener

public interface EventListener
extends java.util.EventListener

Provides an endpoint for job-related events. An event listener can be optionally associated with a job definition.

Method Summary
`void` | `dispatch(SchedulerEvent event)` Dispatches an event with the listener.
`java.lang.Class[]` | `wants()` Specifies which events the implementation is interested in.

Method Detail

### dispatch

    public void dispatch(SchedulerEvent event)
                  throws java.lang.Exception

  Dispatches an event with the listener.

  Parameters:
    `event` - specifies the event that has been dispatched.
  Throws:
    `java.lang.Exception`
  See Also:
    `oracle.ias.scheduler.JobSucceededEvent, oracle.ias.scheduler.JobFailedEvent, oracle.ias.scheduler.JobCancelledEvent, oracle.ias.scheduler.JobBlackoutEvent, oracle.ias.scheduler.JobThresholdExceededEvent, oracle.ias.scheduler.JobCompletedEvent`

### wants

    public java.lang.Class[] wants()

  Specifies which events the implementation is interested in. The events specified are the only events the listener will receive. All other events will be effectively ignored.

  Returns:
    list of class objects representative of the events desired by this listener.
  See Also:
    `oracle.ias.scheduler.JobSucceededEvent, oracle.ias.scheduler.JobFailedEvent, oracle.ias.scheduler.JobCancelledEvent, oracle.ias.scheduler.JobBlackoutEvent, oracle.ias.scheduler.JobThresholdExceededEvent, oracle.ias.scheduler.JobCompletedEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.